mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Reflection.LocalVariableInfo System.Runtime.InteropServices._LocalBuilder System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._LocalBuilder)) System.Runtime.InteropServices.ComVisible(true)

A LocalBuilder object can be defined using the method.

Represents a local variable within a method or constructor.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  In unsafe code, an object must be pinned before it can be referred to by an unmanaged pointer. While the referenced object is pinned, it cannot be moved by garbage collection.

  Gets a value indicating whether the object referred to by the local variable is pinned in memory.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Index numbers are assigned to local variables in the order in which they are declared or emitted, beginning with zero.

  Gets the zero-based index of the local variable within the method body.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type' To be added

  Gets the type of the local variable.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method is supported for methods defined in dynamic types. It is not supported for dynamic methods defined using the class.

  Sets the name of this local variable.

  The name of the local variable.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The method is supported for methods defined in dynamic types. It is not supported for dynamic methods defined using the class.

  Sets the name and lexical scope of this local variable.

  The name of the local variable. The beginning offset of the lexical scope of the local variable. The ending offset of the lexical scope of the local variable.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.